Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\ExceptionConversion Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\ExceptionConversion:

## Public Member Functions
| __construct (Gateway $innerGateway)
| insertBookmark (Bookmark $bookmark)
| Insert a bookmark. More...
| deleteBookmark (int $id)
| Delete bookmark with the given $id. More...
| loadBookmarkDataByUserIdAndLocationId (int $userId, array $locationId)
| Load data for an bookmark with the given $userId and $locationId. More...
| loadUserBookmarks (int $userId, int $offset=0, int $limit=-1)
| Load data for all bookmarks owned by given $userId. More...
| countUserBookmarks (int $userId)
| Count bookmarks owned by given $userId. More...
| locationSwapped (int $location1Id, int $location2Id)
| Updates related bookmarks when location was swapped. More...

## Protected Attributes
| $innerGateway

## Detailed Description

Definition at line 17 of file Persistence/Legacy/Bookmark/Gateway/ExceptionConversion.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\ExceptionConversion::__construct | ( | Gateway | $innerGateway | ) |

Parameters

  \eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway | $innerGateway |

Definition at line 27 of file Persistence/Legacy/Bookmark/Gateway/ExceptionConversion.php.

References eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\ExceptionConversion\$innerGateway.

## Member Function Documentation

## ◆ countUserBookmarks()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\ExceptionConversion::countUserBookmarks | ( | int | $userId | ) |

Count bookmarks owned by given $userId.

Parameters

  int | $userId | ID of user

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway.

Definition at line 68 of file Persistence/Legacy/Bookmark/Gateway/ExceptionConversion.php.

## ◆ deleteBookmark()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\ExceptionConversion::deleteBookmark | ( | int | $id | ) |

Delete bookmark with the given $id.

Parameters

  int | $id | ID of bookmark

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway.

Definition at line 41 of file Persistence/Legacy/Bookmark/Gateway/ExceptionConversion.php.

## ◆ insertBookmark()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\ExceptionConversion::insertBookmark | ( | Bookmark | $bookmark | ) |

Insert a bookmark.

Parameters

  \eZ\Publish\SPI\Persistence\Bookmark\Bookmark | $bookmark |

Returns
  int ID

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway.

Definition at line 32 of file Persistence/Legacy/Bookmark/Gateway/ExceptionConversion.php.

## ◆ loadBookmarkDataByUserIdAndLocationId()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\ExceptionConversion::loadBookmarkDataByUserIdAndLocationId | ( | int | $userId,
|  | array | $locationIds
| ) |  |

Load data for an bookmark with the given $userId and $locationId.

Parameters

  int | $userId | ID of user
  array | $locationIds | ID of location

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway.

Definition at line 50 of file Persistence/Legacy/Bookmark/Gateway/ExceptionConversion.php.

## ◆ loadUserBookmarks()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\ExceptionConversion::loadUserBookmarks | ( | int | $userId,
|  | int | $offset = `0`,
|  | int | $limit = `-1`
| ) |  |

Load data for all bookmarks owned by given $userId.

Parameters

  int | $userId | ID of user
  int | $offset | Offset to start listing from, 0 by default
  int | $limit | Limit for the listing. -1 by default (no limit)

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway.

Definition at line 59 of file Persistence/Legacy/Bookmark/Gateway/ExceptionConversion.php.

## ◆ locationSwapped()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\ExceptionConversion::locationSwapped | ( | int | $location1Id,
|  | int | $location2Id
| ) |  |

Updates related bookmarks when location was swapped.

Parameters

  int | $location1Id | ID of first location
  int | $location2Id | ID of second location

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway.

Definition at line 77 of file Persistence/Legacy/Bookmark/Gateway/ExceptionConversion.php.

## Member Data Documentation

## ◆ $innerGateway

eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\ExceptionConversion::$innerGateway
| protected

Definition at line 22 of file Persistence/Legacy/Bookmark/Gateway/ExceptionConversion.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Bookmark\Gateway\ExceptionConversion\__construct().

The documentation for this class was generated from the following file:

- Persistence/Legacy/Bookmark/Gateway/ExceptionConversion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.